net.sf.jasperreports.export

## Class SimplePdfReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.SimplePdfReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, PdfReportConfiguration, ReportExportConfiguration

      public class SimplePdfReportConfiguration
      extends SimpleReportExportConfiguration
      implements PdfReportConfiguration

  Version:
    $Id: SimplePdfExporterConfiguration.java 6720 2013-11-11 10:44:07Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.PdfReportConfiguration

      `PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS, PROPERTY_FORCE_LINEBREAK_POLICY, PROPERTY_FORCE_SVG_SHAPES, PROPERTY_IGNORE_HYPERLINK, PROPERTY_SIZE_PAGE_TO_CONTENT`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePdfReportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isCollapseMissingBookmarkLevels()` Flag that determines if missing bookmark levels are collapsed, or if empty bookmarks are created for the missing levels.
    `java.lang.Boolean` | `isForceLineBreakPolicy()` Flag that decides whether the PDF exporter should use a `SplitCharacter` implementation which ensures that report texts are broken into lines by iText in the same manner as done by the fill process.
    `java.lang.Boolean` | `isForceSvgShapes()` Flag to force the rendering of SVG images using shapes, on the PDF Graphics2D context.
    `java.lang.Boolean` | `isIgnoreHyperlink()`
    `java.lang.Boolean` | `isSizePageToContent()` Flag which specifies if the size of each page should be increased to accommodate its content.
    `void` | `setCollapseMissingBookmarkLevels(java.lang.Boolean isCollapseMissingBookmarkLevels)`
    `void` | `setForceLineBreakPolicy(java.lang.Boolean isForceLineBreakPolicy)`
    `void` | `setForceSvgShapes(java.lang.Boolean isForceSvgShapes)`
    `void` | `setIgnoreHyperlink(java.lang.Boolean isIgnoreHyperlink)`
    `void` | `setSizePageToContent(java.lang.Boolean isSizePageToContent)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimplePdfReportConfiguration

          public SimplePdfReportConfiguration()

  - ### Method Detail

    - #### isForceSvgShapes

          public java.lang.Boolean isForceSvgShapes()

      Description copied from interface: `PdfReportConfiguration`
      Flag to force the rendering of SVG images using shapes, on the PDF Graphics2D context. This allows rendering fonts as shapes and avoid font mapping issues that might cause Unicode text not to show up properly, but has the disadvantage of producing larger PDF files. By default, the flag is set to true, mainly due to backward compatibility reasons. To reduce PDF file size for documents containing SVG images such as charts, the flag should be turned to false, and the PDF exporter font mappings should be correctly configured using the font extension support, to ensure proper rendering of text in the SVG. This flag can be set system-wide using the `PROPERTY_FORCE_SVG_SHAPES` property.
      Specified by:
        `isForceSvgShapes` in interface `PdfReportConfiguration`
      See Also:
        `PdfReportConfiguration.PROPERTY_FORCE_SVG_SHAPES`

    - #### setForceSvgShapes

          public void setForceSvgShapes(java.lang.Boolean isForceSvgShapes)

    - #### isCollapseMissingBookmarkLevels

          public java.lang.Boolean isCollapseMissingBookmarkLevels()

      Description copied from interface: `PdfReportConfiguration`
      Flag that determines if missing bookmark levels are collapsed, or if empty bookmarks are created for the missing levels.

      The flag dictates what happens when a filled report contains an anchor having a bookmark level that is not the immediate successor of its parent (e.g. an anchor with bookmark level 3 follows immediately after a bookmark of level 1). If the flag is not set, an empty bookmark is created for the missing level(s) in order to preserve the original level of the bookmark. When the property is set, the level of the bookmark will be collapsed and the bookmark will be created as a direct descendant of its nearest parent.

      Specified by:
        `isCollapseMissingBookmarkLevels` in interface `PdfReportConfiguration`
      See Also:
        `PdfReportConfiguration.PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS`

    - #### setCollapseMissingBookmarkLevels

          public void setCollapseMissingBookmarkLevels(java.lang.Boolean isCollapseMissingBookmarkLevels)

    - #### isSizePageToContent

          public java.lang.Boolean isSizePageToContent()

      Description copied from interface: `PdfReportConfiguration`
      Flag which specifies if the size of each page should be increased to accommodate its content.
      Specified by:
        `isSizePageToContent` in interface `PdfReportConfiguration`
      See Also:
        `PdfReportConfiguration.PROPERTY_SIZE_PAGE_TO_CONTENT`

    - #### setSizePageToContent

          public void setSizePageToContent(java.lang.Boolean isSizePageToContent)

    - #### isIgnoreHyperlink

          public java.lang.Boolean isIgnoreHyperlink()

      Specified by:
        `isIgnoreHyperlink` in interface `PdfReportConfiguration`
      See Also:
        `PdfReportConfiguration.PROPERTY_IGNORE_HYPERLINK`

    - #### setIgnoreHyperlink

          public void setIgnoreHyperlink(java.lang.Boolean isIgnoreHyperlink)

    - #### isForceLineBreakPolicy

          public java.lang.Boolean isForceLineBreakPolicy()

      Description copied from interface: `PdfReportConfiguration`
      Flag that decides whether the PDF exporter should use a `SplitCharacter` implementation which ensures that report texts are broken into lines by iText in the same manner as done by the fill process.

      The default line-breaking logic differs from AWT (which is used during the report fill) to iText (used by the PDF exporter). By setting this flag, the logic used by AWT is imposed to iText. The drawback is that the PDF export performance would drop. Because of this, the flag is not set by default.

      This flag can be set system-wide using the `PROPERTY_FORCE_LINEBREAK_POLICY` property.

      Specified by:
        `isForceLineBreakPolicy` in interface `PdfReportConfiguration`
      See Also:
        `PdfReportConfiguration.PROPERTY_FORCE_LINEBREAK_POLICY`, `BreakIteratorSplitCharacter`

    - #### setForceLineBreakPolicy

          public void setForceLineBreakPolicy(java.lang.Boolean isForceLineBreakPolicy)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com